Bug 497688 - Review Request: php-pecl-memcached - Extension to work with the Memcached caching daemon
Review Request: php-pecl-memcached - Extension to work with the Memcached cac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guillaume Kulakowski
Fedora Extras Quality Assurance
:
Depends On: 497682
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 04:09 EDT by Remi Collet
Modified: 2011-01-28 19:32 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 18:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guillaume: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-04-26 04:09:39 EDT
Spec URL: http://remi.fedorapeople.org/php-pecl-memcache.spec
SRPM URL: http://remi.fedorapeople.org/php-pecl-memcached-0.1.5-1.fc8.src.rpm
Mock log: http://remi.fedorapeople.org/php-pecl-memcached-mock.log
Description: 
This extension uses libmemcached library to provide API for communicating
with memcached servers.

memcached is a high-performance, distributed memory object caching system,
generic in nature, but intended for use in speeding up dynamic web
applications by alleviating database load.

It also provides a session handler (memcached).

---- 
Can't provide koji scratch build as libmemcached not yet available.

rpmlint is silent :
php-pecl-memcached.src: I: checking
php-pecl-memcached.x86_64: I: checking
php-pecl-memcached-debuginfo.x86_64: I: checking
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Guillaume Kulakowski 2009-05-02 14:17:48 EDT
+ rpmlint is ok
    php-pecl-memcached.x86_64: I: checking
    php-pecl-memcached-debuginfo.x86_64: I: checking
    php-pecl-memcached.src: I: checking
    3 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : PHP
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
646c3ffb622adc0379a3951155f7f4bb  memcached-0.1.5.tgz
+ Source URL ok
+ build  on F10.x86_64
BuildRequires is ok
    php-devel >= 5.2.0, php-pear
    libmemcached-devel, zlib-devel
+ no locale
+ no .so


+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ devel package OK
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (F-10 i386 & x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
    php(zend-abi) = %{php_zend_api}
    php(api) = %{php_core_api}
+ Final Provides ok
    php-pecl(%{pecl_name}) = %{version}-%{release}

--------
APPROVED
--------
Comment 2 Remi Collet 2009-05-03 01:03:48 EDT
Thanks for the review

New Package CVS Request
=======================
Package Name: php-pecl-memcached
Short Description: Extension to work with the Memcached caching daemon
Owners: remi
Branches: F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-03 23:44:27 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-20 12:03:42 EDT
php-pecl-memcached-0.1.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-memcached-0.1.5-1.fc11
Comment 5 Fedora Update System 2009-05-20 12:04:07 EDT
php-pecl-memcached-0.1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-memcached-0.1.5-1.fc10
Comment 6 Fedora Update System 2009-05-21 19:24:31 EDT
php-pecl-memcached-0.1.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5290
Comment 7 Fedora Update System 2009-05-21 19:26:57 EDT
php-pecl-memcached-0.1.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5307
Comment 8 Fedora Update System 2009-06-29 11:34:39 EDT
php-pecl-memcached-0.2.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-memcached-0.2.0-1.fc11
Comment 9 Fedora Update System 2009-06-29 11:36:26 EDT
php-pecl-memcached-0.2.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-memcached-0.2.0-1.fc10
Comment 10 Fedora Update System 2009-07-02 01:47:12 EDT
php-pecl-memcached-0.2.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7215
Comment 11 Fedora Update System 2009-07-02 01:53:41 EDT
php-pecl-memcached-0.2.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7277
Comment 12 Fedora Update System 2009-07-12 14:11:54 EDT
php-pecl-memcached-1.0.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pecl-memcached-1.0.0-1.fc11
Comment 13 Fedora Update System 2009-07-12 14:12:27 EDT
php-pecl-memcached-1.0.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-memcached-1.0.0-1.fc10
Comment 14 Fedora Update System 2009-07-16 03:14:47 EDT
php-pecl-memcached-1.0.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7620
Comment 15 Fedora Update System 2009-07-16 03:34:01 EDT
php-pecl-memcached-1.0.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7686
Comment 16 Fedora Update System 2009-12-04 18:51:05 EST
php-pecl-memcached-1.0.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Remi Collet 2011-01-28 11:09:11 EST
Package Change Request
======================
Package Name: php-pecl-memcached
New Branches: el5 el6
Owners: remi
Comment 18 Jason Tibbitts 2011-01-28 19:32:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.